Bug 240500 - Review Request: R-Biobase 1.16.1 - Functions that are needed by many other packages
Review Request: R-Biobase 1.16.1 - Functions that are needed by many other pa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Package Reviews List
:
Depends On: 241082
Blocks: 240497
  Show dependency treegraph
 
Reported: 2007-05-17 17:44 EDT by Pierre-Yves
Modified: 2007-12-10 15:48 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.16.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 15:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-05-17 17:44:58 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase-1.14.0-1.fc6.src.rpm
Description: 
Functions that are needed by many other packages or which replace R 
functions

This is my second package submited here. It is needed for my first package 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=240497
Comment 1 Tom "spot" Callaway 2007-05-23 16:41:15 EDT
R CMD CHECK fails here:
You forgot to run R CMD check. I added:

%check
cd ..;%{_bindir}/R CMD check %{packname}

But when I did that, R CMD check failed:

+ /usr/bin/R CMD check Biobase
* checking for working latex ... OK
* using log directory '/home/spot/rpmbuild/BUILD/Biobase.Rcheck'
* using R version 2.5.0 (2007-04-23)
* checking for file 'Biobase/DESCRIPTION' ... OK
* this is package 'Biobase' version '1.14.0'
* checking package dependencies ... ERROR
Packages required but not available:
  tkWidgets

Looks like this package really needs tkWidgets as a Requires (and a
BuildRequires, for the check).
Comment 2 Pierre-Yves 2007-05-28 16:23:16 EDT
The package tkWidgets and his dependences has been submit to bugzilla there:
R-DynDoc https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241079
R-widgetTools https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241081
R-tkWidgets https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=241082

Thanks for your help :-)
Comment 3 Pierre-Yves 2007-07-10 17:26:10 EDT
Based on the R packaging guidelines, there are the new files

SPEC:
http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase-1.14.0-3.fc6.src.rpm

:-)
Comment 4 Alex Lancaster 2007-11-11 20:13:41 EST
(In reply to comment #3)
> Based on the R packaging guidelines, there are the new files
> 
> SPEC:
> http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase.spec
> SRPM:
>
http://pingoured.dyndns.org/public/RPM/R-Biobase-1.14/R-Biobase-1.14.0-3.fc6.src.rpm

The License: tag is wrong, according to
http://www.bioconductor.org/packages/2.0/bioc/html/Biobase.html it is licensed
under "Artistic 2.0" which is acceptable for Fedora but needs to made explicit:,
see: http://fedoraproject.org/wiki/Licensing

Tom, I'd like to get bioconductor into Fedora, if you don't want to review this,
I can pick it up.

Pierre-Yves: are you planning on packaging all of Bioconductor, or only parts of
it?  Is there some kind of tracker bug that would block all the relevant
packages?  Which package should I review (and build) first?
Comment 5 Tom "spot" Callaway 2007-11-11 20:48:39 EST
Go ahead and take this one. I'm more than happy to let you drive this (and the
rest of Bioconductor) forward.
Comment 6 Pierre-Yves 2007-11-12 02:47:58 EST
I will correct the license tag and update to the latest version.

I think it would be an idea to start the discussion on how to get bioconductor
on fedora on the r-devel mailing list
http://www.redhat.com/mailman/listinfo/fedora-r-devel-list

I have package until R-affy and a bit after. But with the latest release there
is a "problem" with preprocessCore that should be split on 2 packages (with one
-devel) but by doing this it means that most of the libraries that need this
package (and there are a lot) will probably need to be corrected to find the
header (meaning sed or patch).

R-tkWidget will be built soon I hope
Comment 7 Pierre-Yves 2007-11-12 14:54:36 EST
There are the new files:
SPEC
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase.spec
SPRM
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.17.3-1.fc6.src.rpm

thanks :)
(R-tkWidget is waiting to be pushed in testing)
Comment 8 Alex Lancaster 2007-11-18 06:32:20 EST
Starting review.
Comment 9 Alex Lancaster 2007-11-18 07:21:00 EST
Full review:

       - OK: rpmlint output (can probably ignore these warnings):
R-Biobase.i386: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-Biobase.i386: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
       - NEEDS-WORK: install line should be similar to
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
      - NEEDS-WORK: "Requires: R" may not be necessary because this is compiled
against libR.so and therefore gets the R dependency automatically
      - OK: License text is not in package, ask upstream to include it, if possible
      - OK: License is OK (Artistic 2.0)
      - OK: Meets Package Naming Guidelines.
      - NEEDS-WORK: Summary is vague and doesn't indicate that this is part of
Bioconductor
"Functions that are needed by many other packages" doesn't mention Bioconductor,
I would use something similar description from here
http://www.bioconductor.org/packages/2.2/bioc/html/Biobase.html "Base functions
for Bioconductor".
      - NEEDS-WORK: Description is also vague and almost identical to Summary,
this would be a good place to mention this part of the Bioconductor project etc.
 This is also true of the other dependent packages from Bioconductor that you
maintain: R-tkWidgets, the descriptions and summary should indicate that they
are part of Bioconductor
      - NEEDS-WORK Group is inappropriate  should be Applications/Engineering
rather than Applications/Productivity (this also applies to R-tkWidgets etc.)
      - OK: The spec file name
      - OK: Meets the Packaging Guidelines
      - OK: Spec file in American English
      - OK: The spec file legible
      - NEEDS-WORK: %changelog is badly formatted, there needs to be spaces
between each dated entry and spaces between "*" and "-"
      - NEEDS-WORK:  not using most recent upstream which is 1.17.5 here are the
MD5sums:
ed57a9494bd88ff6d81eb92f1363bbaa  Biobase_1.17.3.tar.gz
63d808d3ea0b662d58a339ddbf71639a  Biobase_1.17.5.tar.gz
      - OK: Builds OK on F-7 in koji
      - OK: no %find_lang, no locales as yet
      - OK: ldconfig: not required (noarch)
      - OK: not relocatable
      - OK: Own all directories that it creates
      - OK: No duplicate files
      - OK: %defattr(...):
      - OK: %clean section
      - OK: Consistently use macros
      - OK: Contains code
      - OK: No large doc
      - OK: %doc not critical for run-time
      - OK: no devel package
      - OK: no static libraries
      - OK: No pkgconfig(.pc) files
      - OK: no library files with suffix

SHOULD:
       - OK: builds in moch/koji
       - OK: module loads properly in R
       - NEEDS-WORK: query upstream to include license
       - OK: have translations of summary and description in fr
Comment 10 Pierre-Yves 2007-11-18 07:47:15 EST
       - OK: rpmlint output (can probably ignore these warnings):
R-Biobase.i386: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-Biobase.i386: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh

As written in the packaging guidelines, yes they can be ignored, they are
present in every R packages.

- NEEDS-WORK:  not using most recent upstream which is 1.17.5
- NEEDS-WORK: query upstream to include license
These are two points that I would have like to discuss with you on the R-devel
mailing list.

Else the new spec is available there
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase.spec
And the SRPM
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.17.3-2.fc8.src.rpm
Comment 11 Alex Lancaster 2007-11-18 08:01:26 EST
(In reply to comment #10)
>        - OK: rpmlint output (can probably ignore these warnings):
> R-Biobase.i386: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
> R-Biobase.i386: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh

> As written in the packaging guidelines, yes they can be ignored, they are
> present in every R packages.

Yep.

> - NEEDS-WORK:  not using most recent upstream which is 1.17.5
> - NEEDS-WORK: query upstream to include license
> These are two points that I would have like to discuss with you on the R-devel
> mailing list.

I'm not currently subscribed to fedora-r-devel-list, can we discuss this on IRC
if you are around?  Or we can use bugzilla for the moment.

> Else the new spec is available there
> http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase.spec
> And the SRPM
> http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.17.3-2.fc8.src.rpm

Hmm, it doesn't look like you updated the spec file, it's still 1.17.3-1.

Also, you might have noticed on bug #241082 that there appears to be problems
with the various noarch R packages, do the libraries load for you?
Comment 12 Pierre-Yves 2007-11-18 08:54:00 EST
Based on our discussion on #fedora-devel, we have decided to use the stable
version of Bioconductor.

There are then the new spec file and the new srpm
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase.spec
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.16.1-2.fc8.src.rpm
Comment 14 Alex Lancaster 2007-12-03 04:23:38 EST
(In reply to comment #13)

> http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.16.1-3.fc8.src.rpm

Getting a 404 on this file.  Doesn't seem to be present in:

http://pingoured.dyndns.org/public/RPM/R-Biobase/
Comment 15 Pierre-Yves 2007-12-03 13:05:46 EST
Sorry for that I do not know what happened, there they are again :)

SPEC
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase.spec
SRPM
http://pingoured.dyndns.org/public/RPM/R-Biobase/R-Biobase-1.16.1-3.fc8.src.rpm


Thanks for wake me up, I have been quite busy the last days...

Regards
Comment 16 Alex Lancaster 2007-12-04 06:50:23 EST
Builds, installs and runs successfully in F-7.  Koji build here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=273113

All MUST items in comment #9 are addressed, so package is:

--------
APPROVED
--------
Comment 17 Pierre-Yves 2007-12-04 07:04:23 EST
New Package CVS Request
=======================
Package Name: R-Biobase 
Short Description: Base functions for Bioconductor
Owners: pingou
Branches: F-7, F-8
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2007-12-04 14:50:02 EST
cvs done.
Comment 19 Fedora Update System 2007-12-06 15:51:55 EST
R-Biobase-1.16.1-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase'
Comment 20 Fedora Update System 2007-12-06 15:53:35 EST
R-Biobase-1.16.1-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase'
Comment 21 Fedora Update System 2007-12-10 15:48:06 EST
R-Biobase-1.16.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2007-12-10 15:48:15 EST
R-Biobase-1.16.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.